package com.ximai.system.domain;

import com.ximai.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 人员关联打印机表对象 sys_user_associntion_print
 *
 * @author generator
 * @date 2024-03-16
 */
public class SysUserAssocintionPrint extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 人员关联打印机ID */
    @TableId
    private Long userPrintId;

    /** 人员 ID */
    @Excel(name = "人员 ID")
    private Long userId;

    /** 人员编号 */
    @Excel(name = "人员编号")
    private String userName;

    /** 人员名称 */
    @Excel(name = "人员名称")
    private String nickName;

    /** 打印机ID */
    @Excel(name = "打印机ID")
    private Long printerId;

    /** 打印机名称 */
    @Excel(name = "打印机名称")
    private String printerName;

    /** 打印机IP */
    @Excel(name = "打印机IP")
    private String printerIp;

    /** 打印机端口 */
    @Excel(name = "打印机端口")
    private Long printerPort;

    /** 打印类型 */
    @Excel(name = "打印类型")
    private String printerType;

    /** 打印机位置 */
    @Excel(name = "打印机位置")
    private String printerPlace;

    /** 品牌 */
    @Excel(name = "品牌")
    private String brand;

    /** 绑定状态 */
    @Excel(name = "绑定状态")
    private Long status;

    /** 打印机型号 */
    @Excel(name = "打印机型号")
    private String printerModel;

    /** 连接类型 */
    @Excel(name = "连接类型")
    private String connectionType;

    /** 图片URL */
    @Excel(name = "图片URL")
    private String printerUrl;

    /** 启用状态 */
    @Excel(name = "启用状态")
    private String enableFlag;

    /** 打印机状态 */
    @Excel(name = "打印机状态")
    private String printerStatus;

    public void setUserPrintId(Long userPrintId)
    {
        this.userPrintId = userPrintId;
    }

    public Long getUserPrintId()
    {
        return userPrintId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setNickName(String nickName)
    {
        this.nickName = nickName;
    }

    public String getNickName()
    {
        return nickName;
    }
    public void setPrinterId(Long printerId)
    {
        this.printerId = printerId;
    }

    public Long getPrinterId()
    {
        return printerId;
    }
    public void setPrinterName(String printerName)
    {
        this.printerName = printerName;
    }

    public String getPrinterName()
    {
        return printerName;
    }
    public void setPrinterIp(String printerIp)
    {
        this.printerIp = printerIp;
    }

    public String getPrinterIp()
    {
        return printerIp;
    }
    public void setPrinterPort(Long printerPort)
    {
        this.printerPort = printerPort;
    }

    public Long getPrinterPort()
    {
        return printerPort;
    }
    public void setPrinterType(String printerType)
    {
        this.printerType = printerType;
    }

    public String getPrinterType()
    {
        return printerType;
    }
    public void setPrinterPlace(String printerPlace)
    {
        this.printerPlace = printerPlace;
    }

    public String getPrinterPlace()
    {
        return printerPlace;
    }
    public void setBrand(String brand)
    {
        this.brand = brand;
    }

    public String getBrand()
    {
        return brand;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setPrinterModel(String printerModel)
    {
        this.printerModel = printerModel;
    }

    public String getPrinterModel()
    {
        return printerModel;
    }
    public void setConnectionType(String connectionType)
    {
        this.connectionType = connectionType;
    }

    public String getConnectionType()
    {
        return connectionType;
    }
    public void setPrinterUrl(String printerUrl)
    {
        this.printerUrl = printerUrl;
    }

    public String getPrinterUrl()
    {
        return printerUrl;
    }
    public void setEnableFlag(String enableFlag)
    {
        this.enableFlag = enableFlag;
    }

    public String getEnableFlag()
    {
        return enableFlag;
    }
    public void setPrinterStatus(String printerStatus)
    {
        this.printerStatus = printerStatus;
    }

    public String getPrinterStatus()
    {
        return printerStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("userPrintId", getUserPrintId())
                .append("userId", getUserId())
                .append("userName", getUserName())
                .append("nickName", getNickName())
                .append("printerId", getPrinterId())
                .append("printerName", getPrinterName())
                .append("printerIp", getPrinterIp())
                .append("printerPort", getPrinterPort())
                .append("printerType", getPrinterType())
                .append("printerPlace", getPrinterPlace())
                .append("brand", getBrand())
                .append("status", getStatus())
                .append("printerModel", getPrinterModel())
                .append("connectionType", getConnectionType())
                .append("printerUrl", getPrinterUrl())
                .append("enableFlag", getEnableFlag())
                .append("printerStatus", getPrinterStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
